Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class CascadeDeleteStrategy

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.CascadeDeleteStrategy

Direct Known Subclasses:
  CascadeDeleteStrategy.BatchCascadeDeleteStrategy, CascadeDeleteStrategy.DefaultCascadeDeleteStrategy, CascadeDeleteStrategy.NoneCascadeDeleteStrategy

public abstract class CascadeDeleteStrategy
extends Object

Version:
  $Revision: 1.10 $
Author:
  Alexey Loubyansky

Nested Class Summary
`static class` | `CascadeDeleteStrategy.BatchCascadeDeleteStrategy` Batch cascade-delete strategy.
`static class` | `CascadeDeleteStrategy.DefaultCascadeDeleteStrategy` Specification compliant cascade-delete strategy, i.e.
`static class` | `CascadeDeleteStrategy.NoneCascadeDeleteStrategy` No cascade-delete strategy.

Field Summary
`protected JDBCCMRFieldBridge` | `cmrField`
`protected JDBCEntityBridge` | `entity`
`protected org.jboss.logging.Logger` | `log`
`protected JDBCStoreManager` | `relatedManager`

Constructor Summary
`CascadeDeleteStrategy(JDBCCMRFieldBridge cmrField)`

Method Summary
`abstract void` | `cascadeDelete(EntityEnterpriseContext ctx, List oldValues)`
`protected void` | `executeDeleteSQL(String sql, Object key)`
`static CascadeDeleteStrategy` | `getCascadeDeleteStrategy(JDBCCMRFieldBridge cmrField)`
`void` | `invokeRemoveRelated(Object relatedId)`
`abstract void` | `removedIds(EntityEnterpriseContext ctx, Object[] oldRelationRefs, List ids)`
`protected void` | `scheduleCascadeDelete(Object[] oldRelationsRef, List values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cmrField

    protected final JDBCCMRFieldBridge cmrField

### entity

    protected final JDBCEntityBridge entity

### relatedManager

    protected final JDBCStoreManager relatedManager

### log

    protected final org.jboss.logging.Logger log

Constructor Detail

### CascadeDeleteStrategy

    public CascadeDeleteStrategy(JDBCCMRFieldBridge cmrField)
                          throws org.jboss.deployment.DeploymentException

Method Detail

### getCascadeDeleteStrategy

    public static CascadeDeleteStrategy getCascadeDeleteStrategy(JDBCCMRFieldBridge cmrField)
                                                          throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### removedIds

    public abstract void removedIds(EntityEnterpriseContext ctx,
                                    Object[] oldRelationRefs,
                                    List ids)

### cascadeDelete

    public abstract void cascadeDelete(EntityEnterpriseContext ctx,
                                       List oldValues)
                                throws javax.ejb.RemoveException,
                                       RemoteException

  Throws:
    `javax.ejb.RemoveException`
    `RemoteException`

### scheduleCascadeDelete

    protected void scheduleCascadeDelete(Object[] oldRelationsRef,
                                         List values)

### executeDeleteSQL

    protected void executeDeleteSQL(String sql,
                                    Object key)
                             throws javax.ejb.RemoveException

  Throws:
    `javax.ejb.RemoveException`

### invokeRemoveRelated

    public void invokeRemoveRelated(Object relatedId)
                             throws javax.ejb.RemoveException,
                                    RemoteException

  Throws:
    `javax.ejb.RemoveException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.